package com.bytedance.android.livesdk.chatroom.interact.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class InitParams {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    @c(LIZ = "room_id")
    public Long LJ;
    @c(LIZ = "linkmic_vendor")
    public Long LJFF;
    @c(LIZ = "linkmic_layout")
    public Long LJI;
    @c(LIZ = "layout")
    public Long LJII;

    static {
        Covode.recordClassIndex(13592);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJ != null) {
            sb.append(", room_id=");
            sb.append(this.LJ);
        }
        if (this.LJFF != null) {
            sb.append(", linkmic_vendor=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", linkmic_layout=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", layout=");
            sb.append(this.LJII);
        }
        sb.replace(0, 2, "InitParams{");
        sb.append('}');
        return sb.toString();
    }
}
